Package org.springframework.web.bind.support

# Interface WebDataBinderFactory

All Known Implementing Classes:
  `DefaultDataBinderFactory`, `InitBinderDataBinderFactory`

public interface WebDataBinderFactory
A factory for creating a `WebDataBinder` instance for a named target object.

Since:
  3.1
Author:
  Arjen Poutsma, Rossen Stoyanchev

## Method Summary

Modifier and Type
Method
Description
`WebDataBinder`
`createBinder(NativeWebRequest webRequest, Object target, String objectName)`
Create a `WebDataBinder` for the given object.
`default WebDataBinder`
`createBinder(NativeWebRequest webRequest, Object target, String objectName, org.springframework.core.ResolvableType targetType)`
Variant of `createBinder(NativeWebRequest, Object, String)` with a `ResolvableType` for which the `DataBinder` is created.

## Method Details

### createBinder

WebDataBinder createBinder(NativeWebRequest webRequest, @Nullable Object target, String objectName) throws Exception
Create a `WebDataBinder` for the given object.

Parameters:
  `webRequest` - the current request
  `target` - the object to create a data binder for, or `null` if creating a binder for a simple type
  `objectName` - the name of the target object
Returns:
  the created `WebDataBinder` instance, never null
Throws:
  `Exception` - raised if the creation and initialization of the data binder fails

### createBinder

default WebDataBinder createBinder(NativeWebRequest webRequest, @Nullable Object target, String objectName, org.springframework.core.ResolvableType targetType) throws Exception
Variant of `createBinder(NativeWebRequest, Object, String)` with a `ResolvableType` for which the `DataBinder` is created. This may be used to construct the target, or otherwise provide more insight on how to initialize the binder.

Throws:
  `Exception`
Since:
  6.1